Create Account - m3ter Documentation
Create Account
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"emailAddress": "jsmith@example.com",
"version": 123,
"customFields": {},
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressLine3": "<string>",
"addressLine4": "<string>",
"locality": "<string>",
"region": "<string>",
"postCode": "<string>",
"country": "<string>"
},
"parentAccountId": "<string>",
"billEpoch": "2023-12-25",
"purchaseOrderNumber": "<string>",
"currency": "USD",
"statementDefinitionId": "<string>",
"creditApplicationOrder": [],
"daysBeforeBillDue": 1
}
'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/accounts"
payload = {
"name": "<string>",
"code": "<string>",
"emailAddress": "jsmith@example.com",
"version": 123,
"customFields": {},
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressLine3": "<string>",
"addressLine4": "<string>",
"locality": "<string>",
"region": "<string>",
"postCode": "<string>",
"country": "<string>"
},
"parentAccountId": "<string>",
"billEpoch": "2023-12-25",
"purchaseOrderNumber": "<string>",
"currency": "USD",
"statementDefinitionId": "<string>",
"creditApplicationOrder": [],
"daysBeforeBillDue": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (fetch)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
emailAddress: 'jsmith@example.com',
version: 123,
customFields: {},
address: {
addressLine1: '<string>',
addressLine2: '<string>',
addressLine3: '<string>',
addressLine4: '<string>',
locality: '<string>',
region: '<string>',
postCode: '<string>',
country: '<string>'
},
parentAccountId: '<string>',
billEpoch: '2023-12-25',
purchaseOrderNumber: '<string>',
currency: 'USD',
statementDefinitionId: '<string>',
creditApplicationOrder: [],
daysBeforeBillDue: 1
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'code' => '<string>',
'emailAddress' => 'jsmith@example.com',
'version' => 123,
'customFields' => [],
'address' => [
'addressLine1' => '<string>',
'addressLine2' => '<string>',
'addressLine3' => '<string>',
'addressLine4' => '<string>',
'locality' => '<string>',
'region' => '<string>',
'postCode' => '<string>',
'country' => '<string>'
],
'parentAccountId' => '<string>',
'billEpoch' => '2023-12-25',
'purchaseOrderNumber' => '<string>',
'currency' => 'USD',
'statementDefinitionId' => '<string>',
'creditApplicationOrder' => [],
'daysBeforeBillDue' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/accounts"
payload := strings.NewReader(`{
"name": "<string>",
"code": "<string>",
"emailAddress": "jsmith@example.com",
"version": 123,
"customFields": {},
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressLine3": "<string>",
"addressLine4": "<string>",
"locality": "<string>",
"region": "<string>",
"postCode": "<string>",
"country": "<string>"
},
"parentAccountId": "<string>",
"billEpoch": "2023-12-25",
"purchaseOrderNumber": "<string>",
"currency": "USD",
"statementDefinitionId": "<string>",
"creditApplicationOrder": [],
"daysBeforeBillDue": 1
}`)
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response
{
"id": "<string>",
"version": 123,
"customFields": {},
"name": "<string>",
"code": "<string>",
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressLine3": "<string>",
"addressLine4": "<string>",
"locality": "<string>",
"region": "<string>",
"postCode": "<string>",
"country": "<string>"
},
"emailAddress": "<string>",
"parentAccountId": "<string>",
"billEpoch": "2023-12-25",
"purchaseOrderNumber": "<string>",
"currency": "USD",
"statementDefinitionId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"creditApplicationOrder": [],
"daysBeforeBillDue": 123
}
- Authorization: Required header string for machine-to-machine authentication using the
clientCredentials OAuth2 flow.
- Path Parameters:
orgId (required) - The UUID of the organization.
- Body: Account request for Create or Update Account.